
%global meadversion 3.0.0
%global namedversion 3.0.0.SP02-redhat-00001
%global meadalpha .SP02_redhat_00001
%global meadrel .1
%global serial 3
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jboss-jsf-api_2.3_spec}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.0.SP02-redhat-00001

Name:           %{?scl_prefix}jboss-jsf-api_2.3_spec
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JavaServer(TM) Faces 2.3 API
Group:          Development/Java

%if %with mead
Source100: jboss-jsf-api_2.3_spec-3.0.0.SP02-redhat-00001-project-sources.tar.gz
Source102: jboss-jsf-api_2.3_spec-3.0.0.SP02-redhat-00001-javadoc.jar
Source103: jboss-jsf-api_2.3_spec-3.0.0.SP02-redhat-00001.pom
Source104: jboss-jsf-api_2.3_spec-3.0.0.SP02-redhat-00001-sources.jar
Source105: jboss-jsf-api_2.3_spec-3.0.0.SP02-redhat-00001.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/jboss/jboss-jsf-api_spec
%if 0
Requires:       %{?scl_prefix_eap}jboss-javaee-all-7.0 >= 0:1.0.0
%endif
Requires:       %{?scl_prefix_eap}jsf-impl >= 0:2.3.3
Requires:       %{?scl_prefix_eap}jboss-el-api_3.0_spec >= 0:1.0.0
Requires:       %{?scl_prefix_eap}jboss-jsp-api_2.3_spec >= 0:1.0.0
# XXX: EAP now uses taglibs-standard-spec >= 0:1.2.5
%if 0
Requires:       %{?scl_prefix_eap}jboss-jstl-api_1.2_spec >= 0:1.0.4
%endif
Requires:       %{?scl_prefix_eap}validation-api >= 0:1.1.0
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jboss-jsf-api_2.3_spec-%{namedversion}-%{release}-root

%description
JSR-000344: JavaServer(TM) Faces 2.3 API.

%if %with javadoc
%package javadoc
Summary:        Javadoc for jboss-jsf-api_2.3_spec
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jboss-jsf-api_2.3_spec-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jboss-jsf-api_2.3_spec-%{namedversion}.jar %{buildroot}%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jboss-jsf-api_2.3_spec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jboss-jsf-api_2.3_spec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jboss-jsf-api_2.3_spec-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jboss-jsf-api_2.3_spec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jboss-jsf-api_2.3_spec-%{namedversion} -x META-INF/\*
%{__ln_s} jboss-jsf-api_2.3_spec-%{namedversion} %{buildroot}%{_javadocdir}/jboss-jsf-api_2.3_spec
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jboss-jsf-api_2.3_spec
%defattr(0644,root,root,0755)
%if 0
%doc LICENSE.md README
%endif
%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}.jar
%{_javadir}/jboss-jsf-api_2.3_spec.jar
%if %with javadoc
%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}-javadoc.jar
%{_javadir}/jboss-jsf-api_2.3_spec-javadoc.jar
%endif
%{_javadir}/jboss-jsf-api_2.3_spec-%{namedversion}-sources.jar
%{_javadir}/jboss-jsf-api_2.3_spec-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jboss-jsf-api_2.3_spec-%{namedversion}
%{_javadocdir}/jboss-jsf-api_2.3_spec
%endif

%changelog
* Wed Apr 01 2020 Yong Yang <yyang@redhat.com> - 3.0.0-3.SP02_redhat_00001.1
- RPM wrapper build 3.0.0.SP02-redhat-00001

* Mon Nov 18 2019 Yong Yang <yyang@redhat.com> - 3.0.0-2.SP01_redhat_00001.1
- RPM wrapper build 3.0.0.SP01-redhat-00001

* Wed Oct 16 2019 Yong Yang <yyang@redhat.com> - 3.0.0-1.Final_redhat_00001.1
- RPM wrapper build 3.0.0.Final-redhat-00001

* Wed Oct 16 2019 Yong Yang <yyang@redhat.com> - 3.0.0-1.Final_redhat_00001.1
- RPM wrapper build 3.0.0.Final-redhat-00001

* Thu Jul 18 2019 Permaine Cheung <pcheung@redhat.com> - 2.3.9-3.SP02_redhat_00001.1
- 2.3.9.SP02-redhat-00001

* Wed Jun 19 2019 Yong Yang <yyang@redhat.com> - 2.3.9-2.SP02_redhat_00001.1
Wrapper by Ett client

* Wed May 22 2019 Permaine Cheung <pcheung@redhat.com> - 2.3.9-1.SP01_redhat_00001.1
- 2.3.9.SP01_redhat_00001

* Wed May 22 2019 Permaine Cheung <pcheung@redhat.com> - 2.3.9-1.SP01_redhat_00001.1
- 2.3.9.SP01_redhat_00001

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - 2.3.5-1.SP1_redhat_1.1
- Wrapper for EAP 7.2.0

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - 2.3.5-1.SP1_redhat_1.1
- Wrapper for EAP 7.2.0

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - redhat-1.1%{nil}
- Wrapper for EAP 7.2.0

* Wed Jul 04 2018 Permaine Cheung <pcheung@redhat.com> - 2.3.5-1.redhat_1.1
- Initial release
